org.fourthline.cling.support.model.dlna.message.header

## Class PlaySpeedHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<T>
  - - org.fourthline.cling.support.model.dlna.message.header.DLNAHeader<AVTransportVariable.TransportPlaySpeed>
    - - org.fourthline.cling.support.model.dlna.message.header.PlaySpeedHeader

-     public class PlaySpeedHeader
      extends DLNAHeader<AVTransportVariable.TransportPlaySpeed>

  Author:
    Mario Franco

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.dlna.message.header.DLNAHeader

      `DLNAHeader.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlaySpeedHeader()`
    `PlaySpeedHeader(AVTransportVariable.TransportPlaySpeed speed)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.support.model.dlna.message.header.DLNAHeader

      `newInstance`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlaySpeedHeader

          public PlaySpeedHeader()

    - #### PlaySpeedHeader

          public PlaySpeedHeader(AVTransportVariable.TransportPlaySpeed speed)

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Specified by:
        `setString` in class `UpnpHeader<AVTransportVariable.TransportPlaySpeed>`
      Throws:
        `InvalidHeaderException`

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `UpnpHeader<AVTransportVariable.TransportPlaySpeed>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.